Package org.apache.felix.http.base.internal.runtime

# Class ServletContextHelperInfo

java.lang.Object
org.apache.felix.http.base.internal.runtime.AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>
org.apache.felix.http.base.internal.runtime.ServletContextHelperInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>>`

Direct Known Subclasses:
  `DefaultServletContextHelperInfo`

public class ServletContextHelperInfo extends AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>
Provides registration information for a `ServletContextHelper`

## Constructor Summary

Constructors
Constructor
Description
`ServletContextHelperInfo(int serviceRanking, long serviceId, String name, String path, Map<String,String> initParams)`
`ServletContextHelperInfo(org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> ref)`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getInitParameters()`
Returns an unmodifiable map of the parameters.
`String`
`getName()`
`String`
`getPath()`
`@NotNull String`
`getServiceType()`
Get the registered service type
`@NotNull String`
`getType()`
Get the type represented by this info
`boolean`
`isSame(AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper> other)`
Compare two info objects
`boolean`
`isValid()`
`boolean`
`match(WhiteboardServiceInfo<?> info)`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getService, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty, ungetService`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletContextHelperInfo

public ServletContextHelperInfo(org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> ref)

### ServletContextHelperInfo

public ServletContextHelperInfo(int serviceRanking, long serviceId, String name, String path, Map<String,String> initParams)

## Method Details

### isValid

public boolean isValid()

Overrides:
  `isValid` in class `AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>`

### getName

public String getName()

### getPath

public String getPath()

### getInitParameters

public Map<String,String> getInitParameters()
Returns an unmodifiable map of the parameters.

Returns:
  The init parameters

### getType

@NotNull public @NotNull String getType()
Description copied from class: `AbstractInfo`
Get the type represented by this info

Specified by:
  `getType` in class `AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>`
Returns:
  The type

### getServiceType

@NotNull public @NotNull String getServiceType()
Get the registered service type

Returns:
  The type

### match

public boolean match(WhiteboardServiceInfo<?> info)

### isSame

public boolean isSame(AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper> other)
Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>`
Parameters:
  `other` - The other info object
Returns:
  `true` if the objects are the same